/* $Id: string.hh,v 1.3 2001/08/22 14:55:54 richard Exp $ -*- C++ -*-
  __   _
  |_) /|  Copyright (C) 2001 Richard Atterer
  | \/|  <richard@atterer.net>
   ` 
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License, version 2. See
  the file COPYING for details.

*/

#ifndef STRING_HH
#define STRING_HH

#include <config.h> /* for size_t */
#include <string>

/* Convert an unsigned integer n to decimal chars and append to a
   string. If width!=0, pad the number with character "pad" to the
   specified width. */
string& append(string& s, size_t n, size_t width = 0, char pad = ' ');

#endif
